Skip to main content
GET
/
admin
/
v1
/
memory-threads
/
{threadKey}
Get Memory Thread
curl --request GET \
  --url https://api.example.com/admin/v1/memory-threads/{threadKey}
{
  "data": {
    "userId": "<string>",
    "agentId": "<string>",
    "memoryId": "<string>",
    "threadKey": "<string>",
    "threadType": "<string>",
    "anchorKind": "<string>",
    "anchorKey": "<string>",
    "displayLabel": "<string>",
    "lifecycleStatus": "<string>",
    "objectState": "<string>",
    "headline": "<string>",
    "snapshotJson": {},
    "snapshotVersion": 123,
    "openedAt": "2023-11-07T05:31:56Z",
    "lastEventAt": "2023-11-07T05:31:56Z",
    "lastMeaningfulUpdateAt": "2023-11-07T05:31:56Z",
    "closedAt": "2023-11-07T05:31:56Z",
    "eventCount": 123,
    "memberCount": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt

Use this file to discover all available pages before exploring further.

The API Reference is under active development. Request and response schemas may change before a stable release.

Path Parameters

threadKey
string
required

Query Parameters

userId
string
required
agentId
string

Response

200 - */*

OK

data
object